### Method

# Gtk Widget get_template_child

#### Declaration [src]

    GObject*
    gtk_widget_get_template_child (
      GtkWidget* widget,
      GType widget_type,
      const char* name
    )

#### Description [src]

Fetch an object build from the template XML for `widget_type` in this `widget` instance.

This will only report children which were previously declared with gtk_widget_class_bind_template_child_full() or one of its variants.

This function is only meant to be called for code which is private to the `widget_type` which declared the child and is meant for language bindings which cannot easily make use of the GObject structure offsets.

#### Parameters

`widget_type` | `GType`
| The `GType` to get a template child for.
`name` | `const char*`
| The “id” of the child defined in the template XML.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GObject*`
| The object built in the template XML with the id `name`.
| The data is owned by the instance.